<?php
//
//DB接続設定用
//環境により変更する
//ホスト名
define("DB_HOST","localhost");
//DBユーザー名
define("DB_USER","root");
//DBパスワード
define("DB_PASS","");
//DB名
define("DB_NAME","データベース名を入れてください");

//ログ用テーブル
define("DB_TBL_BBSLOGS","bbslogs");
//フィールド名
define("BBSLOG_ID","id");
define("BBSLOG_THREAD_ID","thread_id");
define("BBSLOG_DIVISION","division");
define("BBSLOG_TITLE","title");
define("BBSLOG_NAME","name");
define("BBSLOG_MAIL","mail");
define("BBSLOG_URL","url");
define("BBSLOG_IMAGAES","images");
define("BBSLOG_COMMENT","comment");
define("BBSLOG_EDIT_PASS","edit_pass");
define("BBSLOG_FONT","font");
define("BBSLOG_AUTHOR_IP","ip_ad");
define("BBSLOG_DATE","date");
define("BBSLOG_UPDATE","update");
define("BBSLOG_DEL_FLG","del_flg");



//フォントカラーテーブル
define("DB_TBL_FONT_COLOR","font_color");
define("DB_TBL_FONT_ID","id");
define("DB_TBL_FONT_COLOR_CODE","color_code");
define("DB_TBL_FONT_COMMENT","comment");

//掲示板タイトル
define("BBS_HEADER_TITLE","<a href='bbs.php'>け～じばん</a>");

//画像ファイルサイズ制限
define("BBS_IMAGES_SIZE_LIMIT","50000");
//パスワード桁数
define("BBS_PASS_WORD","6");

//各種メッセージ
define("BBS_NEW_THREAD_CREATE_OK","新規スレッドを作成しました。");
define("BBS_NEW_RES_CREATE_OK","このスレッドに返信をしました。");

//エラーメッセージ
define("BBS_TITLE_ERR","タイトルが入力されていません。<br />\n");
define("BBS_NAME_ERR","投稿者名が入力されていません。<br />\n");
define("BBS_MAIL_ERR","メールアドレスが正しく入力されていません。<br />\n");
define("BBS_IMAGES_EXTE_ERR","JPG以外の形式です。<br />\n");
define("BBS_IMAGES_SIZE_ERR","ファイルサイズが規定以上です。<br />\n");
define("BBS_COMMENT_ERR","書き込み内容が記入されていません。<br />\n");
define("BBS_EDIT_PASS_ERR","編集パスワードが記入されていません。<br />\n");
define("BBS_EDIT_PASS_WORD_ERR","編集パスワードが6桁未満です。<br />\n");
define("BBS_EDIT_NO_PASS_WORD_ERR","編集用パスワードが入力されていません。<br />\n");
define("BBS_EDIT_PASS_WORD_NO_EDIT_ERR","編集用パスワードが一致しません。<br />\n");
define("BBS_DEL_NO_PASS_WORD_ERR","削除用パスワードが入力されていません。<br />\n");
define("BBS_DEL_PASS_WORD_NO_EDIT_ERR","削除用パスワードが一致しません。<br />\n");

//画像アップロードディレクトリ
define("BBS_IMAGES_DIR","thread_images");


//フッター
define("BBS_FOOTER","Copyright &copy; 2010 k_akimoto_matsu. All Rights Reserved.");

?>